%define oname   ffi
 
Name:       ruby-%{oname}
Epoch:      1
Version:    1.12.2
Release:    %mkrel 2
Summary:    A ruby extension for programmatically loading dynamic libraries
License:    BSD
Group:      Development/Ruby
URL:        http://wiki.github.com/ffi/ffi
Source0:    http://rubygems.org/gems/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildRequires: pkgconfig(ruby)
BuildRequires: pkgconfig(libffi)

%description
Ruby-FFI is a ruby extension for programmatically loading dynamic
libraries, binding functions within them, and calling those functions
from Ruby code. Moreover, a Ruby-FFI extension works without changes
on Ruby and JRuby. Discover why should you write your next extension
using Ruby-FFI here[http://wiki.github.com/ffi/ffi/why-use-ffi].

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
BuildArch:	noarch
Requires:   %{name} = %{epoch}:%{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build  -- --with-ldflags="-pthread -ldl"

%install
%gem_install

%files
%{gem_instdir}/
%{gem_spec}
%{gem_extdir_mri}
%{gem_dir}/build_info/*.info

%files          doc
%doc %{gem_docdir}
%doc README.md


%changelog
* Tue Jun 16 2020 ovitters <ovitters> 1:1.12.2-2.mga8
+ Revision: 1593534
- rebuild for new ffi

* Wed Mar 04 2020 joequant <joequant> 1:1.12.2-1.mga8
+ Revision: 1553625
- update to 1.12.2 and set ldflags to build
+ pterjan <pterjan>
- Rebuild for ruby 2.7

* Fri Feb 14 2020 umeabot <umeabot> 1:1.10.0-2.mga8
+ Revision: 1522445
- Mageia 8 Mass Rebuild

* Fri Jan 25 2019 pterjan <pterjan> 1:1.10.0-1.mga7
+ Revision: 1360717
- Update to 1.10.0

* Thu Oct 04 2018 umeabot <umeabot> 1:1.9.25-3.mga7
+ Revision: 1317382
- Mageia 7 Mass Rebuild
- Mageia 7 Mass Rebuild

* Tue Jun 05 2018 pterjan <pterjan> 1:1.9.25-1.mga7
+ Revision: 1234607
- Update to 1.9.25

* Sun Apr 01 2018 pterjan <pterjan> 1:1.9.23-1.mga7
+ Revision: 1214128
- Update to 1.9.23

* Mon Jan 01 2018 pterjan <pterjan> 1:1.9.18-2.mga7
+ Revision: 1188664
- Rebuild for Ruby 2.5

* Sun Aug 20 2017 pterjan <pterjan> 1:1.9.18-1.mga7
+ Revision: 1142091
- Update to 1.9.18

* Tue Aug 15 2017 pterjan <pterjan> 1:1.9.10-3.mga7
+ Revision: 1140738
- Rebuild for new Ruby

* Wed Feb 17 2016 umeabot <umeabot> 1:1.9.10-2.mga6
+ Revision: 962721
- Mageia 6 Mass Rebuild

* Tue Oct 27 2015 pterjan <pterjan> 1:1.9.10-1.mga6
+ Revision: 895680
- Update to 1.9.10

* Wed Oct 15 2014 umeabot <umeabot> 1:1.9.3-4.mga5
+ Revision: 747324
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:1.9.3-3.mga5
+ Revision: 688804
- Mageia 5 Mass Rebuild

* Sun Aug 10 2014 akien <akien> 1:1.9.3-2.mga5
+ Revision: 661593
- Fix libffi BuildRequires

* Sun Jun 08 2014 pterjan <pterjan> 1:1.9.3-1.mga5
+ Revision: 634622
- 1.9.3

* Sat Dec 28 2013 pterjan <pterjan> 1:1.9.0-6.mga4
+ Revision: 561878
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1:1.9.0-5.mga4
+ Revision: 561769
- Rebuild to fix provides

* Sat Dec 28 2013 pterjan <pterjan> 1:1.9.0-4.mga4
+ Revision: 561203
- Fix gem macros

* Sun Dec 22 2013 pterjan <pterjan> 1:1.9.0-3.mga4
+ Revision: 560030
- Update for new binary extensions location

* Mon Oct 21 2013 umeabot <umeabot> 1:1.9.0-2.mga4
+ Revision: 538271
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 fwang <fwang> 1:1.9.0-1.mga4
+ Revision: 489115
- new version 1.9.0

* Sun Sep 29 2013 fwang <fwang> 1:1.8.1-1.mga4
+ Revision: 489108
- update file list
- new version 1.8.1

* Sun Sep 29 2013 pterjan <pterjan> 1:1.0.11-6.mga4
+ Revision: 488864
- Move the extension to the expected place

* Sat Sep 21 2013 pterjan <pterjan> 1:1.0.11-5.mga4
+ Revision: 482986
- Update file list
- Rebuild for Ruby 2

* Sun Sep 15 2013 pterjan <pterjan> 1:1.0.11-4.mga4
+ Revision: 479039
- Fix file list
- Use gem_setup

* Fri Feb 08 2013 umeabot <umeabot> 1:1.0.11-3.mga3
+ Revision: 395955
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 1:1.0.11-2.mga3
+ Revision: 380877
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 1:1.0.11-1.mga3
+ Revision: 314035
- new version 1.0.11

* Sat Nov 03 2012 fwang <fwang> 1.1.5-2.mga3
+ Revision: 312999
- rebuild for new ruby

* Sat Aug 11 2012 shlomif <shlomif> 1.1.5-1.mga3
+ Revision: 280468
- New version 1.1.5

* Mon Aug 06 2012 luigiwalser <luigiwalser> 1.0.11-2.mga3
+ Revision: 278993
- rebuild for libffi

* Tue Jun 12 2012 shlomif <shlomif> 1.0.11-1.mga3
+ Revision: 259889
- Got to build without yardoc
+ solbu <solbu>
- New version
- Spec cleanup

* Tue Apr 19 2011 shikamaru <shikamaru> 1.0.7-1.mga1
+ Revision: 88768
- new version 1.0.7

* Sat Feb 19 2011 shikamaru <shikamaru> 0.6.3-1.mga1
+ Revision: 54164
- add sitearchdir in load path so that so file gets found
- Fix compatibility with rspec 2
- fix BuildRequires
- imported package ruby-ffi


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 0.6.3-1
- Initial package
